Subject: Re: bug#9794: 24.0.90; `format-time-string' no good for %Z

From: Paul Eggert <[email-masked]>
Date: Fri, 21 Oct 2011 10:34:50 -0700

On 10/21/11 08:40, Jason Rumney wrote:

> The original problem leading to that report seems to have been
> observed in a beta version of mew:
> http://groups.yahoo.co.jp/group/emacs21-users-ja/message/42

Thanks, that reinforces the suggestion that we should install the
nt/config.nt patch and then mark this as done.  The current
version of Mew (6.4) uses %z for the time zone, so it should work
fine.  Mew also uses %Z, which it encodes and puts into an RFC822
comment, which should also work.  Mew even contains a workaround
for the Emacs 22 and 23 bug where %Z generates the empty string on
Japanese Windows!  If we install the nt/config.nt patch, that
should make Mew work better now, and once Mew assumes Emacs 24 or
later it can remove that workaround.

I'll CC: this to the Mew maintainer to give him a heads-up
(the the full thread is at <http://debbugs.gnu.org/9794>).